#!/usr/bin/env node
'use strict'

const Path = require('path')
const yargs = require('yargs')
const exit = require('promise-exit')

const genIndex = require('.').default

async function main() {
  const { argv } = yargs
    .option('dir', {
      type: 'array',
      default: [process.cwd()],
    })
    .option('overwrite', {
      default: false,
    })
    .option('output', {
      default: 'index.mjs',
    })
    .option('dry-run', {
      default: false,
    })
    .option('format', {
      default: 'named-export',
    })
    .option('banner', {
      default:
        '// THIS IS AN AUTOGENERATED FILE. DO NOT EDIT THIS FILE DIRECTLY.',
    })

  await Promise.all(
    argv.dir.map(dir =>
      genIndex({ ...argv, cwd: Path.resolve(process.cwd(), dir) })
    )
  )
}

exit(main)
